"""
   CMF ImageDoc  __init__
"""

ADD_CONTENT_PERMISSION = 'Add portal content'

import ImageDoc
from Products.CMFDefault import Document
from Products.CMFCore import DirectoryView, utils

DirectoryView.registerDirectory('skins', globals())

contentClasses = ( ImageDoc.ImageDoc, )

contentConstructors = ( ImageDoc.addImageDoc, )

bases = contentClasses

import sys
this_module = sys.modules[ __name__ ]

z_bases = utils.initializeBasesPhase1( bases, this_module )

def initialize( context ):
  
  utils.initializeBasesPhase2( z_bases, context ) 
  
  utils.ContentInit( 'CMF ImageDoc Content',
                     content_types=contentClasses,
                     permission=ADD_CONTENT_PERMISSION,
                     extra_constructors=contentConstructors,
                     fti = ImageDoc.factory_type_information
                     ).initialize( context )